## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ElemTemplate Class Reference

Inheritance diagram for ElemTemplate:

[legend]
Collaboration diagram for ElemTemplate:

[legend]
List of all members.

## Public Types

- typedef ElemTemplateElement ParentType

## Public Member Functions

- ElemTemplate (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:template" element.
- virtual ~ElemTemplate ()
- const XalanQName & getMode () const
    Retrieve the mode of element.
- const XPath * getMatchPattern () const
    Retrieve the match pattern.
- double getPriority () const
    Retrieve the priority of element.
- virtual const XalanQName & getNameAttribute () const
    Get the QName associated with any name attribute of this element.
- virtual void addToStylesheet (StylesheetConstructionContext &constructionContext, Stylesheet &theStylesheet)
    Called during compilation when an instance is not parented by another element, and thus, is a child of the stylesheet..
- virtual const XalanDOMString & getElementName () const
    Get a string for the name of the element.
- virtual const ElemTemplateElement * startElement (StylesheetExecutionContext &executionContext) const
    Completes "pre-processing" before any sub-elements are invoked (i.e.
- virtual void endElement (StylesheetExecutionContext &executionContext) const
    Completes "post-processing" afer any sub-elements are invoked (i.e.
- virtual const ElemTemplateElement * getInvoker (StylesheetExecutionContext &executionContext) const
    Returns the element that invoked this element.
- virtual const XPath * getXPath (unsigned int index=0) const
    Get XPath pattern/expression of one of the element atribute.

## Member Typedef Documentation

typedef ElemTemplateElement ElemTemplate::ParentType

## Constructor & Destructor Documentation

ElemTemplate::ElemTemplate | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | stylesheetTree,
|  | const AttributeListType & | atts,
|  | int | lineNumber,
|  | int | columnNumber
| ) |

Construct an object corresponding to an "xsl:template" element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

virtual ElemTemplate::~ElemTemplate | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void ElemTemplate::addToStylesheet | ( | StylesheetConstructionContext & | constructionContext,
|  | Stylesheet & | theStylesheet
| ) | `[virtual]`

Called during compilation when an instance is not parented by another element, and thus, is a child of the stylesheet..

Parameters:

  constructionContext | The current construction context
  theStylesheet | The owning stylesheet

Returns:
  nothing

Reimplemented from ElemTemplateElement.

virtual void ElemTemplate::endElement | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

Completes "post-processing" afer any sub-elements are invoked (i.e.

children, attribute sets and templates). If there are no sub-elements it does nothing

Parameters:

  executionContext | context to execute this element

Reimplemented from ElemTemplateElement.

virtual const XalanDOMString& ElemTemplate::getElementName | ( |  | ) | const`[virtual]`

Get a string for the name of the element.

Useful for debugging purposes, and error reporting.

Returns:
  A string containing the name of the element.

Implements ElemTemplateElement.

virtual const ElemTemplateElement* ElemTemplate::getInvoker | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

Returns the element that invoked this element.

Returns:
  element that invoked this element.

Reimplemented from ElemTemplateElement.

const XPath* ElemTemplate::getMatchPattern | ( |  | ) | const

Retrieve the match pattern.

Returns:
  XPath corresponding to the match pattern

const XalanQName& ElemTemplate::getMode | ( |  | ) | const

Retrieve the mode of element.

Returns:
  QName for mode

virtual const XalanQName& ElemTemplate::getNameAttribute | ( |  | ) | const`[virtual]`

Get the QName associated with any name attribute of this element.

If the element has no name attribute, this will be an empty QName.

Returns:
  A string containing the name of the element.

Reimplemented from ElemTemplateElement.

double ElemTemplate::getPriority | ( |  | ) | const

Retrieve the priority of element.

Returns:
  priority value

virtual const XPath* ElemTemplate::getXPath | ( | unsigned int | index = 0 | ) | const`[virtual]`

Get XPath pattern/expression of one of the element atribute.

number of the attribute. If an attribute has more then one attribute with pattern/expression,the order of the returned expressions are undefined

Returns:
  pointer or null

Reimplemented from ElemTemplateElement.

virtual const ElemTemplateElement* ElemTemplate::startElement | ( | StylesheetExecutionContext & | executionContext | ) | const`[virtual]`

Completes "pre-processing" before any sub-elements are invoked (i.e.

children, attribute sets and templates). If there are no sub-elements it executes the primary function of the element.

Parameters:

  executionContext | context to execute this element

Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemTemplate.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.